<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: tivx_obj_desc_matrix_t Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>tivx_obj_desc_matrix_t Struct Reference<br/>
<small>
[<a class="el" href="group__group__tivx__obj__desc.html">Object Descriptor APIs</a>]</small>
</h1><!-- doxytag: class="tivx_obj_desc_matrix_t" --><hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>matrix object descriptor as placed in shared memory </p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__obj__desc__t.html">tivx_obj_desc_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__matrix__t.html#a276c964b2670f2df2a98c13d17699a8b">base</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">base object descriptor  <a href="#a276c964b2670f2df2a98c13d17699a8b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__matrix__t.html#a0252937faa83e16b6641b98bc492539b">rows</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The source width.  <a href="#a0252937faa83e16b6641b98bc492539b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__matrix__t.html#a04862a30820c064dc70b413f1a85208f">columns</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">number of columns  <a href="#a04862a30820c064dc70b413f1a85208f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__matrix__t.html#af8d7bdc9635c9f4fd3d06419e3c7ba4a">origin_x</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">position at which to place the mask  <a href="#af8d7bdc9635c9f4fd3d06419e3c7ba4a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__matrix__t.html#ae822fa8bb4ffadaabdf07b6e2b995bfb">origin_y</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">position at which to place the mask  <a href="#ae822fa8bb4ffadaabdf07b6e2b995bfb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__matrix__t.html#a5422df22d0674a36edbb3c1325381d02">pattern</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Pattern of the matrix <a class="el" href="vx__types_8h.html#a408dfa61ca7a43e185d16180ea4b7ebb">vx_pattern_e</a>.  <a href="#a5422df22d0674a36edbb3c1325381d02"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__matrix__t.html#afd7554615071191e721c0956d09e5682">mem_size</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">size of buffer pointed to by mem_ptr  <a href="#afd7554615071191e721c0956d09e5682"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__matrix__t.html#a773602ec4c1604ff8a92a064fad62573">data_type</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">From <a class="el" href="vx__types_8h.html#a44aa67e15168e5912a0800090a120be6">vx_type_e</a>.  <a href="#a773602ec4c1604ff8a92a064fad62573"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__shared__mem__ptr__t.html">tivx_shared_mem_ptr_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__matrix__t.html#a3eba6f8e6813d20df3b67d09f99642a1">mem_ptr</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">matrix memory address  <a href="#a3eba6f8e6813d20df3b67d09f99642a1"></a><br/></td></tr>
</table>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="a276c964b2670f2df2a98c13d17699a8b"></a><!-- doxytag: member="tivx_obj_desc_matrix_t::base" ref="a276c964b2670f2df2a98c13d17699a8b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__obj__desc__t.html">tivx_obj_desc_t</a> <a class="el" href="structtivx__obj__desc__matrix__t.html#a276c964b2670f2df2a98c13d17699a8b">tivx_obj_desc_matrix_t::base</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>base object descriptor </p>

</div>
</div>
<a class="anchor" id="a0252937faa83e16b6641b98bc492539b"></a><!-- doxytag: member="tivx_obj_desc_matrix_t::rows" ref="a0252937faa83e16b6641b98bc492539b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__matrix__t.html#a0252937faa83e16b6641b98bc492539b">tivx_obj_desc_matrix_t::rows</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The source width. </p>
<p>number of rows </p>

</div>
</div>
<a class="anchor" id="a04862a30820c064dc70b413f1a85208f"></a><!-- doxytag: member="tivx_obj_desc_matrix_t::columns" ref="a04862a30820c064dc70b413f1a85208f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__matrix__t.html#a04862a30820c064dc70b413f1a85208f">tivx_obj_desc_matrix_t::columns</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>number of columns </p>

</div>
</div>
<a class="anchor" id="af8d7bdc9635c9f4fd3d06419e3c7ba4a"></a><!-- doxytag: member="tivx_obj_desc_matrix_t::origin_x" ref="af8d7bdc9635c9f4fd3d06419e3c7ba4a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__matrix__t.html#af8d7bdc9635c9f4fd3d06419e3c7ba4a">tivx_obj_desc_matrix_t::origin_x</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>position at which to place the mask </p>

</div>
</div>
<a class="anchor" id="ae822fa8bb4ffadaabdf07b6e2b995bfb"></a><!-- doxytag: member="tivx_obj_desc_matrix_t::origin_y" ref="ae822fa8bb4ffadaabdf07b6e2b995bfb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__matrix__t.html#ae822fa8bb4ffadaabdf07b6e2b995bfb">tivx_obj_desc_matrix_t::origin_y</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>position at which to place the mask </p>

</div>
</div>
<a class="anchor" id="a5422df22d0674a36edbb3c1325381d02"></a><!-- doxytag: member="tivx_obj_desc_matrix_t::pattern" ref="a5422df22d0674a36edbb3c1325381d02" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> <a class="el" href="structtivx__obj__desc__matrix__t.html#a5422df22d0674a36edbb3c1325381d02">tivx_obj_desc_matrix_t::pattern</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Pattern of the matrix <a class="el" href="vx__types_8h.html#a408dfa61ca7a43e185d16180ea4b7ebb">vx_pattern_e</a>. </p>

</div>
</div>
<a class="anchor" id="afd7554615071191e721c0956d09e5682"></a><!-- doxytag: member="tivx_obj_desc_matrix_t::mem_size" ref="afd7554615071191e721c0956d09e5682" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__matrix__t.html#afd7554615071191e721c0956d09e5682">tivx_obj_desc_matrix_t::mem_size</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>size of buffer pointed to by mem_ptr </p>

</div>
</div>
<a class="anchor" id="a773602ec4c1604ff8a92a064fad62573"></a><!-- doxytag: member="tivx_obj_desc_matrix_t::data_type" ref="a773602ec4c1604ff8a92a064fad62573" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> <a class="el" href="structtivx__obj__desc__matrix__t.html#a773602ec4c1604ff8a92a064fad62573">tivx_obj_desc_matrix_t::data_type</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>From <a class="el" href="vx__types_8h.html#a44aa67e15168e5912a0800090a120be6">vx_type_e</a>. </p>

</div>
</div>
<a class="anchor" id="a3eba6f8e6813d20df3b67d09f99642a1"></a><!-- doxytag: member="tivx_obj_desc_matrix_t::mem_ptr" ref="a3eba6f8e6813d20df3b67d09f99642a1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__shared__mem__ptr__t.html">tivx_shared_mem_ptr_t</a> <a class="el" href="structtivx__obj__desc__matrix__t.html#a3eba6f8e6813d20df3b67d09f99642a1">tivx_obj_desc_matrix_t::mem_ptr</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>matrix memory address </p>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
